Subject: [TLS] RE: [IANA #12633] General Request for Assignments (TLS parameters)

From: "Blumenthal, Uri" <[email-masked]>
Date: Wed, 27 Sep 2006 11:42:35 -0400

Pasi,

Here's the updated version of the draft. I've addressed those few
comments that were mentioned on the list.

Regarding Informational vs. PS status - I strongly believe that since
we're adding suites that are not vendor-specific, it should be on the
standards track - because of its generic applicability (whenever for
whatever reason one cannot use encryption).

Thanks,
Uri

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Wednesday, September 27, 2006 12:04 AM
To: Blumenthal, Uri; [email-masked]
Subject: RE: [IANA #12633] General Request for Assignments (TLS
parameters) 

Uri,

The mail can be found from the archive:
http://www1.ietf.org/mail-archive/web/tls/current/msg00754.html

Best regards,
Pasi 

> -----Original Message-----
> From: ext Blumenthal, Uri [mailto:[email-masked]] 
> Sent: 27 September, 2006 00:43
> To: Eronen Pasi (Nokia-NRC/Helsinki); [email-masked]
> Subject: RE: [IANA #12633] General Request for Assignments 
> (TLS parameters) 
> 
> Gentlemen,
> 
> The Last Call is over, correct?    :-)
> 
> Pasi, you sent me a few nits - but I cannot find that email. :-(
> Could you please re-send them to me, so I can apply the edits?
> 
> Thank you!
> 
> Regards,
> Uri 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Tuesday, September 19, 2006 5:59 AM
> To: Blumenthal, Uri; [email-masked]
> Cc: [email-masked]
> Subject: RE: [IANA #12633] General Request for Assignments (TLS
> parameters) 
> 
> Uri,
> 
> The document is advancing, but there're still several steps 
> to go until it's approved:
> 
> - Working Group last call ends (on Friday).
> - Authors prepare new I-D version to handle WGLC comments, and
>   discuss with WG chairs that it really reflects WG consensus.
> - Document shepherd (one of the WG chairs) prepares a "document 
>   write-up" and sends it do AD (probably Russ Housley; I don't 
>   know why IANA thought it's Jari).
> - AD reads the document and provides comments.
> - (Optionally) AD asks authors to prepare a new I-D version to 
>   handle the comments (alternatively, the comments can be 
>   considered at the same time as IETF last call comments).
> - AD starts IETF last call, lasting two weeks. During this time, 
>   the document gets reviewed by SecDir, GEN-ART, and others.
> - Depending on the comments, AD may ask the authors to prepare
>   a new I-D version to handle them.
> - Document goes to IESG evaluation, which usually takes about
>   two weeks.
> - Depending on the comments, AD may ask the authors to prepare
>   yet another new I-D version.
> - IESG declares the document approved.
> 
> Only at this point the document has some official status (until
> this, it's just a random "work in progress"), and it gets sent 
> to IANA who assign the numbers. 
> 
> (And yes, this does take some time. TLS-PSK took 2.5 years from
> first individual internet-draft to RFC.)
> 
> Best regards,
> Pasi
> 
> > -----Original Message-----
> > From: ext Blumenthal, Uri [mailto:[email-masked]] 
> > Sent: 19 September, 2006 04:15
> > To: Eronen Pasi (Nokia-NRC/Helsinki); Eric Rescorla
> > Cc: Jari Arkko
> > Subject: FW: [IANA #12633] General Request for Assignments 
> > (TLS parameters) 
> > 
> >  
> > Folks,
> > 
> > Could you please tell me whether the draft is in the Last 
> Call yet? I
> > thought that after presenting the protocol suite(s) it was 
> > agreed by the
> > WG, WG chairpeople and the audience that this document will 
> advance on
> > the standards track (and there were comments like "we 
> > should've done it
> > the first time")...
> > 
> > Yours in confusion,
> > Uri
> > 
> > -----Original Message-----
> > From: Michelle Cotton via RT [mailto:[email-masked]] 
> > Sent: Monday, September 18, 2006 7:13 PM
> > To: Blumenthal, Uri
> > Subject: [IANA #12633] General Request for Assignments (TLS 
> > parameters) 
> > 
> > Dear Uri,
> > 
> > This registration procedures for the parameters you
> > are requesting is Standards Action. Please see:
> > http://www.iana.org/assignments/tls-parameters as well as RFC4346
> > 
> > We see that you mention an Internet-Draft. After your
> > I-D is approved for publication as an RFC, the IANA will
> > register the parameter you are requesting.
> > 
> > Copied on this message is Jari Arkko who is the Shepherding 
> > AD for this 
> > document according to the tracker should you have questions 
> about the
> > status 
> > of this draft.
> > 
> > We are administratively closing this request without
> > prejudice at this time.  
> > 
> > Please let us know if you have any questions.  If you 
> respond to this
> > ticket 
> > it will re-open.
> > 
> > Thank you,
> > 
> > 
> > Michelle Cotton
> > Internet Assigned Numbers Authority (IANA)
> > 
> > On Thu Aug 03 09:21:57 2006, [email-masked] wrote:
> > > Contact Name :
> > > Uri Blumenthal
> > > 
> > > Contact Email :
> > > [email-masked]
> > > 
> > > Type of Assignment :
> > > Assign numbers for new cipher suites approved by TLS 
> Working Group.
> > > 
> > > Registry :
> > > TLS Cipher Suite Registry (RFC 4346)
> > > 
> > > Description :
> > > New draft approved by TLS WG defines new cipher suites. 
> They need to
> > > be registered.
> > > 
> > > People are breathing down my neck, so if I could ask you to 
> > accelerate
> > > this one please? Thank you!
> > > 
> > > Additional Info :
> > > draft-ietf-tls-psk-null-00.txt
> > > 
> > > We propose to allocate from 0x00,0x5D-5F
> > > 
> > 
> 
_______________________________________________
TLS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tls